local plugin = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0")
plugin.name = CastYeller.name
plugin.version = CastYeller.version
plugin.revision = CastYeller.revision
plugin.hasIcon = 'Interface\\Icons\\Ability_Warrior_BattleShout'
plugin.hasNoColor = true
plugin.overrideTooltip = true
plugin.hideWithoutStandby = true
plugin.OnMenuRequest = CastYeller.options
plugin.db = CastYeller:AcquireDBNamespace('FuBarPlugin')

local args = AceLibrary("FuBarPlugin-2.0"):GetAceOptionsDataTable(plugin)
for k,v in pairs(args) do
	if plugin.OnMenuRequest.args[k] == nil then
		plugin.OnMenuRequest.args[k] = v
	end
end

if AceLibrary:HasInstance('AceDebug-2.0') then
	local args = AceLibrary("AceDebug-2.0"):GetAceOptionsDataTable(CastYeller)
	for k,v in pairs(args) do
		if plugin.OnMenuRequest.args[k] == nil then
			plugin.OnMenuRequest.args[k] = v
		end
	end
end
