local function DruidSetup()
	return {
		['Innervate'] = {
			events     = { success = true },
			channel    = { '_BROADCAST', '_WHISPER' },
			conditions = { 'combat' },
		},
		['Rebirth'] = {
			events     = { start = true },
			channel    = { '_BROADCAST', '_WHISPER' },
			conditions = { 'combat' },
		},
		['Hibernate'] = {
			events     = { start = true },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
		['Cyclone'] = {
			events     = { start = true },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
		['Tranquility'] = {
			events     = { start = true },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
	}
end

CastYeller:RegisterAnnounces('DRUID', DruidSetup)