local function WarriorSetup()
	return {
		['Challenging Shout'] = {
			events     = { success = true, },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
		['Shield Wall'] = {
			events     = { success = true, },
			channel    = '_BROADCAST',
		},
		['Last Stand'] = {
			events     = { success = true, },
			channel    = '_BROADCAST',
			conditions = { 'combat' },
		},
		['Pummel'] = {
			events     = { success = true, },
			channel    = '_BROADCAST',
			defaultDisabled = true,
		},
		['Shield Bash'] = {
			events     = { success = true, },
			channel    = '_BROADCAST',
			defaultDisabled = true,
		},
		['Sunder Armor'] = {
			events     = { success = true, },
			channel    = '_BROADCAST',
			defaultDisabled = true,
		},
	}
end

CastYeller:RegisterAnnounces('WARRIOR', WarriorSetup)